Package org.springframework.security.acls.domain

# Class BasePermission

java.lang.Object
org.springframework.security.acls.domain.AbstractPermission
org.springframework.security.acls.domain.BasePermission

All Implemented Interfaces:
  `Serializable`, `Permission`

public class BasePermission extends AbstractPermission
A set of standard permissions.

You may subclass this class to add additional permissions, or use this class as a guide for creating your own permission classes.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Permission`
`ADMINISTRATION`
`static final Permission`
`CREATE`
`static final Permission`
`DELETE`
`static final Permission`
`READ`
`static final Permission`
`WRITE`

### Fields inherited from class org.springframework.security.acls.domain.AbstractPermission

`code, mask`

### Fields inherited from interface org.springframework.security.acls.model.Permission

`RESERVED_OFF, RESERVED_ON, THIRTY_TWO_RESERVED_OFF`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BasePermission(int mask)`
`protected`
`BasePermission(int mask, char code)`

## Method Summary

### Methods inherited from class org.springframework.security.acls.domain.AbstractPermission

`equals, getMask, getPattern, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### READ

public static final Permission READ

### WRITE

public static final Permission WRITE

### CREATE

public static final Permission CREATE

### DELETE

public static final Permission DELETE

### ADMINISTRATION

public static final Permission ADMINISTRATION

## Constructor Details

### BasePermission

protected BasePermission(int mask)

### BasePermission

protected BasePermission(int mask, char code)